package cn.edu.whu.boot.user.services;

import cn.edu.whu.boot.user.entities.Role;

import java.util.Optional;

public interface RoleService {
    Optional<Role> findRoleByName(String name);

    Optional<Role> findById(int id);

    Optional<Role> findByCode(int code);
}
